Debian Bug report logs - #453782
xserver-xorg-video-nv: Please support suspend to ram

version graph

Package: xserver-xorg-video-nv; Maintainer for xserver-xorg-video-nv is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for xserver-xorg-video-nv is src:xserver-xorg-video-nv.

Reported by: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>

Date: Sat, 1 Dec 2007 08:33:01 UTC

Severity: wishlist

Tags: wontfix

Found in version xserver-xorg-video-nv/1:2.1.6-1

Fixed in version 1:2.1.17-3+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#453782; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-video-nv: Please support suspend to ram
Date: Sat, 01 Dec 2007 09:28:57 +0100
Subject: xserver-xorg-video-nv: Please support suspend to ram
Package: xserver-xorg-video-nv
Version: 1:2.1.6-1
Severity: wishlist

*** Please type your report below this line ***
Hi,

Please support suspend to ram.  I have a PowerBookPro and, IIUC
http://en.opensuse.org/S2ram#NVidia_Graphics_Chipsets and
http://sourceforge.net/mailarchive/message.php?msg_id=46F3ED9C.20504%40dark-green.com,
suspend works only with the binary nvidia driver.

Greetings,
Eugen Dedu

-- Package-specific info:
Contents of /var/lib/x11/X.roster:
xserver-xorg

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 2007-10-07 18:28 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1831520 2007-11-20 04:09 /usr/bin/Xorg

Contents of /var/lib/x11/xorg.conf.roster:
xserver-xorg

VGA-compatible devices on PCI bus:
01:00.0 VGA compatible controller: nVidia Corporation Unknown device 
0407 (rev a1)

/etc/X11/xorg.conf does not match checksum in /var/lib/x11/xorg.conf.md5sum.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 1822 2007-11-18 11:33 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
# xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"kbd"
	Option		"CoreKeyboard"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"pc104"
	Option		"XkbLayout"	"us"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse"
	Driver		"mouse"
	Option		"CorePointer"
	Option		"Device"		"/dev/input/mice"
	Option		"Protocol"		"ImPS/2"
	Option		"Emulate3Buttons"	"true"
EndSection

Section "InputDevice"
	Identifier	"Synaptics Touchpad"
	Driver		"synaptics"
	Option		"SendCoreEvents"	"true"
	Option		"Device"		"/dev/psaux"
	Option		"Protocol"		"auto-dev"
	Option		"HorizScrollDelta"	"0"
EndSection

Section "Device"
	Identifier	"nVidia Corporation NVIDIA Default Card"
	Driver		"nv"
	BusID		"PCI:1:0:0"
EndSection

Section "Monitor"
	Identifier	"Generic Monitor"
	Option		"DPMS"
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Device		"nVidia Corporation NVIDIA Default Card"
	Monitor		"Generic Monitor"
	DefaultDepth	24
	SubSection "Display"
		Modes		"1440x900" "800x600"
	EndSubSection
EndSection

Section "ServerLayout"
	Identifier	"Default Layout"
	Screen		"Default Screen"
	InputDevice	"Generic Keyboard"
	InputDevice	"Configured Mouse"
	InputDevice	"Synaptics Touchpad"
EndSection


Xorg X server log files on system:
-rw-r--r-- 1 root root 33395 2007-10-22 21:16 /var/log/Xorg.21.log
-rw-r--r-- 1 root root 34011 2007-10-22 21:38 /var/log/Xorg.20.log
-rw-r--r-- 1 root root 33423 2007-12-01 08:50 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.4.0
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux Debian (xorg-server 2:1.4.1~git20071119-1)
Current Operating System: Linux snoopy 2.6.22-3-amd64 #1 SMP Sun Nov 4 
18:18:09 UTC 2007 x86_64
Build Date: 20 November 2007  02:55:16AM

	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sat Dec  1 08:50:42 2007
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "Generic Monitor"
(**) |   |-->Device "nVidia Corporation NVIDIA Default Card"
(**) |-->Input Device "Generic Keyboard"
(**) |-->Input Device "Configured Mouse"
(**) |-->Input Device "Synaptics Touchpad"
(==) Automatically adding devices
(==) Automatically enabling devices
(==) No FontPath specified.  Using compiled-in default.
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(WW) The directory "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType" 
does not exist.
	Entry deleted from font path.
(==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi
(==) RgbPath set to "/etc/X11/rgb"
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Loader magic: 0x7b2660
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.3
	X.Org Video Driver: 2.0
	X.Org XInput driver : 2.0
	X.Org Server Extension : 0.3
	X.Org Font Renderer : 0.5
(II) Loader running on linux
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/xorg/modules//libpcidata.so
(II) Module pcidata: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(++) using VT number 7

(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,2a00 card 106b,00a0 rev 03 class 06,00,00 
hdr 00
(II) PCI: 00:01:0: chip 8086,2a01 card 0000,0000 rev 03 class 06,04,00 
hdr 01
(II) PCI: 00:1a:0: chip 8086,2834 card 0000,0000 rev 03 class 0c,03,00 
hdr 80
(II) PCI: 00:1a:1: chip 8086,2835 card 106b,00a0 rev 03 class 0c,03,00 
hdr 00
(II) PCI: 00:1a:7: chip 8086,283a card 106b,00a0 rev 03 class 0c,03,20 
hdr 00
(II) PCI: 00:1b:0: chip 8086,284b card 106b,00a0 rev 03 class 04,03,00 
hdr 00
(II) PCI: 00:1c:0: chip 8086,283f card 0000,0000 rev 03 class 06,04,00 
hdr 81
(II) PCI: 00:1c:2: chip 8086,2843 card 0000,0000 rev 03 class 06,04,00 
hdr 81
(II) PCI: 00:1c:4: chip 8086,2847 card 0000,0000 rev 03 class 06,04,00 
hdr 81
(II) PCI: 00:1c:5: chip 8086,2849 card 0000,0000 rev 03 class 06,04,00 
hdr 81
(II) PCI: 00:1d:0: chip 8086,2830 card 106b,00a0 rev 03 class 0c,03,00 
hdr 80
(II) PCI: 00:1d:1: chip 8086,2831 card 106b,00a0 rev 03 class 0c,03,00 
hdr 00
(II) PCI: 00:1d:2: chip 8086,2832 card 106b,00a0 rev 03 class 0c,03,00 
hdr 00
(II) PCI: 00:1d:7: chip 8086,2836 card 106b,00a0 rev 03 class 0c,03,20 
hdr 00
(II) PCI: 00:1e:0: chip 8086,2448 card 0000,0000 rev f3 class 06,04,01 
hdr 01
(II) PCI: 00:1f:0: chip 8086,2815 card 106b,00a0 rev 03 class 06,01,00 
hdr 80
(II) PCI: 00:1f:1: chip 8086,2850 card 106b,00a0 rev 03 class 01,01,8a 
hdr 00
(II) PCI: 00:1f:2: chip 8086,2828 card 106b,00a0 rev 03 class 01,01,8f 
hdr 00
(II) PCI: 00:1f:3: chip 8086,283e card 106b,00a0 rev 03 class 0c,05,00 
hdr 00
(II) PCI: 01:00:0: chip 10de,0407 card 106b,00a0 rev a1 class 03,00,00 
hdr 00
(II) PCI: 0b:00:0: chip 168c,0024 card 106b,0087 rev 01 class 02,80,00 
hdr 00
(II) PCI: 0c:00:0: chip 11ab,436a card 11ab,00ba rev 13 class 02,00,00 
hdr 00
(II) PCI: 0d:03:0: chip 104c,8025 card 0000,0000 rev 02 class 0c,00,10 
hdr 00
(II) PCI: End of PCI scan
(II) Intel Bridge workaround enabled
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,13), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 1 I/O range:
	[0] -1	0	0x00005000 - 0x00005fff (0x1000) IX[B]
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0	0x90000000 - 0x930fffff (0x3100000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0	0x80000000 - 0x8fffffff (0x10000000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 2: bridge is at (0:28:0), (0,2,2), BCTRL: 0x0000 (VGA_EN is 
cleared)
(II) Bus 2 non-prefetchable memory range:
	[0] -1	0	0x9b400000 - 0x9b4fffff (0x100000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 3: bridge is at (0:28:2), (0,3,10), BCTRL: 0x0000 (VGA_EN is 
cleared)
(II) Bus 3 I/O range:
	[0] -1	0	0x00004000 - 0x00004fff (0x1000) IX[B]
(II) Bus 3 non-prefetchable memory range:
	[0] -1	0	0x97400000 - 0x9b3fffff (0x4000000) MX[B]
(II) Bus 3 prefetchable memory range:
	[0] -1	0	0x93100000 - 0x970fffff (0x4000000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 11: bridge is at (0:28:4), (0,11,11), BCTRL: 0x0000 (VGA_EN is 
cleared)
(II) Bus 11 non-prefetchable memory range:
	[0] -1	0	0x97300000 - 0x973fffff (0x100000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 12: bridge is at (0:28:5), (0,12,12), BCTRL: 0x0000 (VGA_EN is 
cleared)
(II) Bus 12 I/O range:
	[0] -1	0	0x00003000 - 0x00003fff (0x1000) IX[B]
(II) Bus 12 non-prefetchable memory range:
	[0] -1	0	0x97200000 - 0x972fffff (0x100000) MX[B]
(II) Bus 12 prefetchable memory range:
	[0] -1	0	0x9b600000 - 0x9b6fffff (0x100000) MX[B]
(II) Subtractive PCI-to-PCI bridge:
(II) Bus 13: bridge is at (0:30:0), (0,13,13), BCTRL: 0x0000 (VGA_EN is 
cleared)
(II) Bus 13 non-prefetchable memory range:
	[0] -1	0	0x97100000 - 0x971fffff (0x100000) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:31:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(--) PCI:*(1:0:0) nVidia Corporation GeForce 8600M GT rev 161, Mem @ 
0x92000000/24, 0x80000000/28, 0x90000000/25, I/O @ 0x5000/7, BIOS @ 
0x93000000/17
(II) Addressable bus resource ranges are
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
	[1] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
	[0] -1	0	0x97100000 - 0x97103fff (0x4000) MX[B]
	[1] -1	0	0x97104000 - 0x971047ff (0x800) MX[B]
	[2] -1	0	0x97200000 - 0x97203fff (0x4000) MX[B]
	[3] -1	0	0x97300000 - 0x9730ffff (0x10000) MX[B]
	[4] -1	0	0x9b505000 - 0x9b5050ff (0x100) MX[B]
	[5] -1	0	0x9b504800 - 0x9b504bff (0x400) MX[B]
	[6] -1	0	0x9b500000 - 0x9b503fff (0x4000) MX[B]
	[7] -1	0	0x9b504c00 - 0x9b504fff (0x400) MX[B]
	[8] -1	0	0x93000000 - 0x9301ffff (0x20000) MX[B](B)
	[9] -1	0	0x90000000 - 0x91ffffff (0x2000000) MX[B](B)
	[10] -1	0	0x80000000 - 0x8fffffff (0x10000000) MX[B](B)
	[11] -1	0	0x92000000 - 0x92ffffff (0x1000000) MX[B](B)
	[12] -1	0	0x00003000 - 0x000030ff (0x100) IX[B]
	[13] -1	0	0x0000efa0 - 0x0000efbf (0x20) IX[B]
	[14] -1	0	0x00001000 - 0x0000100f (0x10) IX[B]
	[15] -1	0	0x00006020 - 0x0000602f (0x10) IX[B]
	[16] -1	0	0x00006110 - 0x00006113 (0x4) IX[B]
	[17] -1	0	0x000060f0 - 0x000060f7 (0x8) IX[B]
	[18] -1	0	0x00006114 - 0x00006117 (0x4) IX[B]
	[19] -1	0	0x000060f8 - 0x000060ff (0x8) IX[B]
	[20] -1	0	0x000060e0 - 0x000060ef (0x10) IX[B]
	[21] -1	0	0x00000374 - 0x00000374 (0x1) IX[B]
	[22] -1	0	0x00000170 - 0x00000177 (0x8) IX[B]
	[23] -1	0	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[24] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[25] -1	0	0x00006040 - 0x0000605f (0x20) IX[B]
	[26] -1	0	0x00006060 - 0x0000607f (0x20) IX[B]
	[27] -1	0	0x00006080 - 0x0000609f (0x20) IX[B]
	[28] -1	0	0x000060a0 - 0x000060bf (0x20) IX[B]
	[29] -1	0	0x000060c0 - 0x000060df (0x20) IX[B]
	[30] -1	0	0x00005000 - 0x0000507f (0x80) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0	0x97100000 - 0x97103fff (0x4000) MX[B]
	[1] -1	0	0x97104000 - 0x971047ff (0x800) MX[B]
	[2] -1	0	0x97200000 - 0x97203fff (0x4000) MX[B]
	[3] -1	0	0x97300000 - 0x9730ffff (0x10000) MX[B]
	[4] -1	0	0x9b505000 - 0x9b5050ff (0x100) MX[B]
	[5] -1	0	0x9b504800 - 0x9b504bff (0x400) MX[B]
	[6] -1	0	0x9b500000 - 0x9b503fff (0x4000) MX[B]
	[7] -1	0	0x9b504c00 - 0x9b504fff (0x400) MX[B]
	[8] -1	0	0x93000000 - 0x9301ffff (0x20000) MX[B](B)
	[9] -1	0	0x90000000 - 0x91ffffff (0x2000000) MX[B](B)
	[10] -1	0	0x80000000 - 0x8fffffff (0x10000000) MX[B](B)
	[11] -1	0	0x92000000 - 0x92ffffff (0x1000000) MX[B](B)
	[12] -1	0	0x00003000 - 0x000030ff (0x100) IX[B]
	[13] -1	0	0x0000efa0 - 0x0000efbf (0x20) IX[B]
	[14] -1	0	0x00001000 - 0x0000100f (0x10) IX[B]
	[15] -1	0	0x00006020 - 0x0000602f (0x10) IX[B]
	[16] -1	0	0x00006110 - 0x00006113 (0x4) IX[B]
	[17] -1	0	0x000060f0 - 0x000060f7 (0x8) IX[B]
	[18] -1	0	0x00006114 - 0x00006117 (0x4) IX[B]
	[19] -1	0	0x000060f8 - 0x000060ff (0x8) IX[B]
	[20] -1	0	0x000060e0 - 0x000060ef (0x10) IX[B]
	[21] -1	0	0x00000374 - 0x00000374 (0x1) IX[B]
	[22] -1	0	0x00000170 - 0x00000177 (0x8) IX[B]
	[23] -1	0	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[24] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[25] -1	0	0x00006040 - 0x0000605f (0x20) IX[B]
	[26] -1	0	0x00006060 - 0x0000607f (0x20) IX[B]
	[27] -1	0	0x00006080 - 0x0000609f (0x20) IX[B]
	[28] -1	0	0x000060a0 - 0x000060bf (0x20) IX[B]
	[29] -1	0	0x000060c0 - 0x000060df (0x20) IX[B]
	[30] -1	0	0x00005000 - 0x0000507f (0x80) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x97100000 - 0x97103fff (0x4000) MX[B]
	[5] -1	0	0x97104000 - 0x971047ff (0x800) MX[B]
	[6] -1	0	0x97200000 - 0x97203fff (0x4000) MX[B]
	[7] -1	0	0x97300000 - 0x9730ffff (0x10000) MX[B]
	[8] -1	0	0x9b505000 - 0x9b5050ff (0x100) MX[B]
	[9] -1	0	0x9b504800 - 0x9b504bff (0x400) MX[B]
	[10] -1	0	0x9b500000 - 0x9b503fff (0x4000) MX[B]
	[11] -1	0	0x9b504c00 - 0x9b504fff (0x400) MX[B]
	[12] -1	0	0x93000000 - 0x9301ffff (0x20000) MX[B](B)
	[13] -1	0	0x90000000 - 0x91ffffff (0x2000000) MX[B](B)
	[14] -1	0	0x80000000 - 0x8fffffff (0x10000000) MX[B](B)
	[15] -1	0	0x92000000 - 0x92ffffff (0x1000000) MX[B](B)
	[16] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[17] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[18] -1	0	0x00003000 - 0x000030ff (0x100) IX[B]
	[19] -1	0	0x0000efa0 - 0x0000efbf (0x20) IX[B]
	[20] -1	0	0x00001000 - 0x0000100f (0x10) IX[B]
	[21] -1	0	0x00006020 - 0x0000602f (0x10) IX[B]
	[22] -1	0	0x00006110 - 0x00006113 (0x4) IX[B]
	[23] -1	0	0x000060f0 - 0x000060f7 (0x8) IX[B]
	[24] -1	0	0x00006114 - 0x00006117 (0x4) IX[B]
	[25] -1	0	0x000060f8 - 0x000060ff (0x8) IX[B]
	[26] -1	0	0x000060e0 - 0x000060ef (0x10) IX[B]
	[27] -1	0	0x00000374 - 0x00000374 (0x1) IX[B]
	[28] -1	0	0x00000170 - 0x00000177 (0x8) IX[B]
	[29] -1	0	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[30] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[31] -1	0	0x00006040 - 0x0000605f (0x20) IX[B]
	[32] -1	0	0x00006060 - 0x0000607f (0x20) IX[B]
	[33] -1	0	0x00006080 - 0x0000609f (0x20) IX[B]
	[34] -1	0	0x000060a0 - 0x000060bf (0x20) IX[B]
	[35] -1	0	0x000060c0 - 0x000060df (0x20) IX[B]
	[36] -1	0	0x00005000 - 0x0000507f (0x80) IX[B](B)
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "freetype"
(II) Loading /usr/lib/xorg/modules//fonts/libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 1.4.0, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.5
(II) Loading font FreeType
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions//librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension XFree86-DRI
(II) LoadModule: "nv"
(II) Loading /usr/lib/xorg/modules/drivers//nv_drv.so
(II) Module nv: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 2.1.6
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "kbd"
(II) Loading /usr/lib/xorg/modules/input//kbd_drv.so
(II) Module kbd: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.2.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) LoadModule: "mouse"
(II) Loading /usr/lib/xorg/modules/input//mouse_drv.so
(II) Module mouse: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.2.3
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input//synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
	compiled for 4.3.99.902, module version = 1.0.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) NV: driver for NVIDIA chipsets: RIVA 128, RIVA TNT, RIVA TNT2,
	Unknown TNT2, Vanta, RIVA TNT2 Ultra, RIVA TNT2 Model 64,
	Aladdin TNT2, GeForce 256, GeForce DDR, Quadro, GeForce2 MX/MX 400,
	GeForce2 MX 100/200, GeForce2 Go, Quadro2 MXR/EX/Go,
	GeForce2 Integrated GPU, GeForce2 GTS, GeForce2 Ti, GeForce2 Ultra,
	Quadro2 Pro, GeForce4 MX 460, GeForce4 MX 440, GeForce4 MX 420,
	GeForce4 MX 440-SE, GeForce4 440 Go, GeForce4 420 Go,
	GeForce4 420 Go 32M, GeForce4 460 Go, Quadro4 550 XGL,
	GeForce4 440 Go 64M, Quadro NVS, Quadro4 500 GoGL,
	GeForce4 410 Go 16M, GeForce4 MX 440 with AGP8X,
	GeForce4 MX 440SE with AGP8X, GeForce4 MX 420 with AGP8X,
	GeForce4 MX 4000, GeForce4 448 Go, GeForce4 488 Go, Quadro4 580 XGL,
	Quadro4 NVS 280 SD, Quadro4 380 XGL, Quadro NVS 50 PCI,
	GeForce4 448 Go, GeForce4 MX Integrated GPU, GeForce3,
	GeForce3 Ti 200, GeForce3 Ti 500, Quadro DCC, GeForce4 Ti 4600,
	GeForce4 Ti 4400, GeForce4 Ti 4200, Quadro4 900 XGL, Quadro4 750 XGL,
	Quadro4 700 XGL, GeForce4 Ti 4800, GeForce4 Ti 4200 with AGP8X,
	GeForce4 Ti 4800 SE, GeForce4 4200 Go, Quadro4 700 GoGL,
	Quadro4 980 XGL, Quadro4 780 XGL, GeForce FX 5800 Ultra,
	GeForce FX 5800, Quadro FX 2000, Quadro FX 1000,
	GeForce FX 5600 Ultra, GeForce FX 5600, GeForce FX 5600XT,
	GeForce FX Go5600, GeForce FX Go5650, Quadro FX Go700,
	GeForce FX 5200, GeForce FX 5200 Ultra, GeForce FX 5200,
	GeForce FX 5200LE, GeForce FX Go5200, GeForce FX Go5250,
	GeForce FX 5500, GeForce FX 5100, GeForce FX Go5200 32M/64M,
	Quadro NVS 55/280 PCI, Quadro FX 500/600 PCI,
	GeForce FX Go53xx Series, GeForce FX Go5100, GeForce FX 5900 Ultra,
	GeForce FX 5900, GeForce FX 5900XT, GeForce FX 5950 Ultra,
	GeForce FX 5900ZT, Quadro FX 3000, Quadro FX 700,
	GeForce FX 5700 Ultra, GeForce FX 5700, GeForce FX 5700LE,
	GeForce FX 5700VE, GeForce FX Go5700, GeForce FX Go5700,
	Quadro FX Go1000, Quadro FX 1100, GeForce 6800 Ultra, GeForce 6800,
	GeForce 6800 LE, GeForce 6800 XE, GeForce 6800 XT, GeForce 6800 GT,
	GeForce 6800 GT, GeForce 6800 GS, GeForce 6800 XT, Quadro FX 4000,
	GeForce 6800 GS, GeForce 6800, GeForce 6800 LE, GeForce 6800 XT,
	GeForce Go 6800, GeForce Go 6800 Ultra, Quadro FX Go1400,
	Quadro FX 3450/4000 SDI, Quadro FX 1400, GeForce 6600 GT,
	GeForce 6600, GeForce 6600 LE, GeForce 6600 VE, GeForce Go 6600,
	GeForce 6610 XL, GeForce Go 6600 TE/6200 TE, GeForce 6700 XL,
	GeForce Go 6600, GeForce Go 6600 GT, Quadro FX 550, Quadro FX 550,
	Quadro FX 540, GeForce 6200, GeForce 6500,
	GeForce 6200 TurboCache(TM), GeForce 6200SE TurboCache(TM),
	GeForce 6200 LE, GeForce Go 6200, Quadro NVS 285, GeForce Go 6400,
	GeForce Go 6200, GeForce Go 6400, GeForce 6250, GeForce 6800,
	GeForce 6800 LE, GeForce 6800 GT, GeForce 6800 XT, GeForce 6200,
	GeForce 6200 A-LE, GeForce 7800 GTX, GeForce 7800 GTX,
	GeForce 7800 GT, GeForce 7800 GS, GeForce 7800 SLI, GeForce Go 7800,
	GeForce Go 7800 GTX, Quadro FX 4500, GeForce 7300 LE,
	GeForce 7300 SE, GeForce Go 7200, GeForce Go 7300, GeForce Go 7400,
	GeForce Go 7400 GS, Quadro NVS 110M, Quadro NVS 120M, Quadro FX 350M,
	GeForce 7500 LE, Quadro FX 350, GeForce 7300 GS, GeForce 7600 GT,
	GeForce 7600 GS, GeForce 7300 GT, GeForce 7600 LE, GeForce 7300 GT,
	GeForce Go 7700, GeForce Go 7600, GeForce Go 7600 GT,
	Quadro NVS 300M, GeForce Go 7900 SE, Quadro FX 550M, Quadro FX 560,
	GeForce 7900 GTX, GeForce 7900 GT, GeForce 7900 GS,
	GeForce Go 7900 GS, GeForce Go 7900 GTX, Quadro FX 2500M,
	Quadro FX 1500M, Quadro FX 5500, Quadro FX 3500, Quadro FX 1500,
	Quadro FX 4500 X2, GeForce 6150, GeForce 6150 LE, GeForce 6100,
	GeForce Go 6150, GeForce Go 6100, GeForce 8800 GTX, GeForce 8800 GTS,
	GeForce 8800 Ultra, Quadro FX 5600, Quadro FX 4600, GeForce 8600 GTS,
	GeForce 8600 GT, GeForce 8400 GS, GeForce 8600M GT, GeForce 8700M GT,
	Quadro FX 370, Quadro NVS 320M, Quadro FX 570M, Quadro FX 1600M,
	Quadro FX 570, Quadro FX 1700, GeForce 8500 GT, GeForce 8400 GS,
	GeForce 8300 GS, GeForce 8600M GS, GeForce 8400M GT,
	GeForce 8400M GS, GeForce 8400M G, Quadro NVS 140M, Quadro NVS 130M,
	Quadro NVS 135M, Quadro FX 360M, Quadro NVS 290, GeForce 8800 GT
(II) Primary Device is: PCI 01:00:0
(--) Chipset GeForce 8600M GT found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x97100000 - 0x97103fff (0x4000) MX[B]
	[5] -1	0	0x97104000 - 0x971047ff (0x800) MX[B]
	[6] -1	0	0x97200000 - 0x97203fff (0x4000) MX[B]
	[7] -1	0	0x97300000 - 0x9730ffff (0x10000) MX[B]
	[8] -1	0	0x9b505000 - 0x9b5050ff (0x100) MX[B]
	[9] -1	0	0x9b504800 - 0x9b504bff (0x400) MX[B]
	[10] -1	0	0x9b500000 - 0x9b503fff (0x4000) MX[B]
	[11] -1	0	0x9b504c00 - 0x9b504fff (0x400) MX[B]
	[12] -1	0	0x93000000 - 0x9301ffff (0x20000) MX[B](B)
	[13] -1	0	0x90000000 - 0x91ffffff (0x2000000) MX[B](B)
	[14] -1	0	0x80000000 - 0x8fffffff (0x10000000) MX[B](B)
	[15] -1	0	0x92000000 - 0x92ffffff (0x1000000) MX[B](B)
	[16] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[17] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[18] -1	0	0x00003000 - 0x000030ff (0x100) IX[B]
	[19] -1	0	0x0000efa0 - 0x0000efbf (0x20) IX[B]
	[20] -1	0	0x00001000 - 0x0000100f (0x10) IX[B]
	[21] -1	0	0x00006020 - 0x0000602f (0x10) IX[B]
	[22] -1	0	0x00006110 - 0x00006113 (0x4) IX[B]
	[23] -1	0	0x000060f0 - 0x000060f7 (0x8) IX[B]
	[24] -1	0	0x00006114 - 0x00006117 (0x4) IX[B]
	[25] -1	0	0x000060f8 - 0x000060ff (0x8) IX[B]
	[26] -1	0	0x000060e0 - 0x000060ef (0x10) IX[B]
	[27] -1	0	0x00000374 - 0x00000374 (0x1) IX[B]
	[28] -1	0	0x00000170 - 0x00000177 (0x8) IX[B]
	[29] -1	0	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[30] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[31] -1	0	0x00006040 - 0x0000605f (0x20) IX[B]
	[32] -1	0	0x00006060 - 0x0000607f (0x20) IX[B]
	[33] -1	0	0x00006080 - 0x0000609f (0x20) IX[B]
	[34] -1	0	0x000060a0 - 0x000060bf (0x20) IX[B]
	[35] -1	0	0x000060c0 - 0x000060df (0x20) IX[B]
	[36] -1	0	0x00005000 - 0x0000507f (0x80) IX[B](B)
(II) resource ranges after probing:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x97100000 - 0x97103fff (0x4000) MX[B]
	[5] -1	0	0x97104000 - 0x971047ff (0x800) MX[B]
	[6] -1	0	0x97200000 - 0x97203fff (0x4000) MX[B]
	[7] -1	0	0x97300000 - 0x9730ffff (0x10000) MX[B]
	[8] -1	0	0x9b505000 - 0x9b5050ff (0x100) MX[B]
	[9] -1	0	0x9b504800 - 0x9b504bff (0x400) MX[B]
	[10] -1	0	0x9b500000 - 0x9b503fff (0x4000) MX[B]
	[11] -1	0	0x9b504c00 - 0x9b504fff (0x400) MX[B]
	[12] -1	0	0x93000000 - 0x9301ffff (0x20000) MX[B](B)
	[13] -1	0	0x90000000 - 0x91ffffff (0x2000000) MX[B](B)
	[14] -1	0	0x80000000 - 0x8fffffff (0x10000000) MX[B](B)
	[15] -1	0	0x92000000 - 0x92ffffff (0x1000000) MX[B](B)
	[16] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[17] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[18] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[19] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[20] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[21] -1	0	0x00003000 - 0x000030ff (0x100) IX[B]
	[22] -1	0	0x0000efa0 - 0x0000efbf (0x20) IX[B]
	[23] -1	0	0x00001000 - 0x0000100f (0x10) IX[B]
	[24] -1	0	0x00006020 - 0x0000602f (0x10) IX[B]
	[25] -1	0	0x00006110 - 0x00006113 (0x4) IX[B]
	[26] -1	0	0x000060f0 - 0x000060f7 (0x8) IX[B]
	[27] -1	0	0x00006114 - 0x00006117 (0x4) IX[B]
	[28] -1	0	0x000060f8 - 0x000060ff (0x8) IX[B]
	[29] -1	0	0x000060e0 - 0x000060ef (0x10) IX[B]
	[30] -1	0	0x00000374 - 0x00000374 (0x1) IX[B]
	[31] -1	0	0x00000170 - 0x00000177 (0x8) IX[B]
	[32] -1	0	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[33] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[34] -1	0	0x00006040 - 0x0000605f (0x20) IX[B]
	[35] -1	0	0x00006060 - 0x0000607f (0x20) IX[B]
	[36] -1	0	0x00006080 - 0x0000609f (0x20) IX[B]
	[37] -1	0	0x000060a0 - 0x000060bf (0x20) IX[B]
	[38] -1	0	0x000060c0 - 0x000060df (0x20) IX[B]
	[39] -1	0	0x00005000 - 0x0000507f (0x80) IX[B](B)
	[40] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[41] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules//libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(II) NV(0): Initializing int10
(II) NV(0): Primary V_BIOS segment is: 0xc000
(--) NV(0): Console is VGA mode 0x3
(**) NV(0): Depth 24, (--) framebuffer bpp 32
(==) NV(0): RGB weight 888
(==) NV(0): Default visual is TrueColor
(==) NV(0): Using hardware cursor
(==) NV(0): Using gamma correction (1.0, 1.0, 1.0)
(II) NV(0): MMIO registers mapped at 0x2b4f012d4000
(--) NV(0): Total video RAM: 128.0 MB
(--) NV(0):       BAR1 size: 256.0 MB
(--) NV(0):   Mapped memory: 127.0 MB
(II) NV(0): Linear framebuffer mapped at 0x2b4f022d4000
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"(II) Module "i2c" already built-in
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"(II) Module "ddc" already built-in
(--) NV(0): Connector map:
(--) NV(0):   [N/A] -> SOR0 (LVDS)
(--) NV(0):   Bus 1 -> DAC1
(--) NV(0):   Bus 1 -> SOR1
(II) NV(0): I2C bus "I2C1" initialized.
(II) NV(0): Output VGA1 using monitor section Generic Monitor
(II) NV(0): Output DVI1 has no monitor section
(II) NV(0): LVDS native size 1440x900
(II) NV(0): Output LVDS has no monitor section
(II) NV(0): Probing for EDID on I2C bus 1...
(II) NV(0): I2C device "I2C1:ddc2" registered at address 0xA0.
(II) NV(0): I2C device "I2C1:ddc2" removed.
(II) NV(0):   ... none found
(--) NV(0): Trying load detection on VGA1 ... nothing.
(II) NV(0): Output VGA1 disconnected
(II) NV(0): Output DVI1 disconnected
(II) NV(0): Output LVDS connected
(II) NV(0): Output LVDS using initial mode 1440x900
(--) NV(0): Virtual size is 1440x1440 (pitch 1536)
(**) NV(0):  Driver mode "1440x900"
(**) NV(0):  Default mode "1280x800": 83.5 MHz (scaled from 0.0 MHz), 
49.7 kHz, 60.0 Hz
(II) NV(0): Modeline "1280x800"x60.0   83.46  1280 1344 1480 1680  800 
801 804 828 (49.7 kHz)
(**) NV(0):  Default mode "1280x768": 80.1 MHz (scaled from 0.0 MHz), 
47.7 kHz, 60.0 Hz
(II) NV(0): Modeline "1280x768"x60.0   80.14  1280 1344 1480 1680  768 
769 772 795 (47.7 kHz)
(**) NV(0):  Default mode "1024x768": 65.0 MHz (scaled from 0.0 MHz), 
48.4 kHz, 60.0 Hz
(II) NV(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 
771 777 806 -hsync -vsync (48.4 kHz)
(**) NV(0):  Default mode "800x600": 40.0 MHz (scaled from 0.0 MHz), 
37.9 kHz, 60.3 Hz
(II) NV(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 
605 628 +hsync +vsync (37.9 kHz)
(**) NV(0):  Default mode "640x480": 25.2 MHz (scaled from 0.0 MHz), 
31.5 kHz, 59.9 Hz
(II) NV(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 
492 525 -hsync -vsync (31.5 kHz)
(**) NV(0):  Default mode "640x400": 41.7 MHz (scaled from 0.0 MHz), 
49.7 kHz, 60.0 Hz (D)
(II) NV(0): Modeline "640x400"x60.0   41.73  640 672 740 840  400 400 
402 414 doublescan (49.7 kHz)
(**) NV(0):  Default mode "640x384": 40.1 MHz (scaled from 0.0 MHz), 
47.7 kHz, 60.1 Hz (D)
(II) NV(0): Modeline "640x384"x60.1   40.07  640 672 740 840  384 384 
386 397 doublescan (47.7 kHz)
(**) NV(0):  Default mode "512x384": 32.5 MHz (scaled from 0.0 MHz), 
48.4 kHz, 60.0 Hz (D)
(II) NV(0): Modeline "512x384"x60.0   32.50  512 524 592 672  384 385 
388 403 doublescan -hsync -vsync (48.4 kHz)
(==) NV(0): DPI set to (75, 75)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules//libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.3
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/lib/xorg/modules//libxaa.so
(II) Module xaa: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.2.0
	ABI class: X.Org Video Driver, version 2.0
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"(II) Module "ramdac" already built-in
(--) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0	0x90000000 - 0x91ffffff (0x2000000) MX[B]
	[1] 0	0	0x80000000 - 0x8fffffff (0x10000000) MX[B]
	[2] 0	0	0x92000000 - 0x92ffffff (0x1000000) MX[B]
	[3] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[4] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[5] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[6] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[7] -1	0	0x97100000 - 0x97103fff (0x4000) MX[B]
	[8] -1	0	0x97104000 - 0x971047ff (0x800) MX[B]
	[9] -1	0	0x97200000 - 0x97203fff (0x4000) MX[B]
	[10] -1	0	0x97300000 - 0x9730ffff (0x10000) MX[B]
	[11] -1	0	0x9b505000 - 0x9b5050ff (0x100) MX[B]
	[12] -1	0	0x9b504800 - 0x9b504bff (0x400) MX[B]
	[13] -1	0	0x9b500000 - 0x9b503fff (0x4000) MX[B]
	[14] -1	0	0x9b504c00 - 0x9b504fff (0x400) MX[B]
	[15] -1	0	0x93000000 - 0x9301ffff (0x20000) MX[B](B)
	[16] -1	0	0x90000000 - 0x91ffffff (0x2000000) MX[B](B)
	[17] -1	0	0x80000000 - 0x8fffffff (0x10000000) MX[B](B)
	[18] -1	0	0x92000000 - 0x92ffffff (0x1000000) MX[B](B)
	[19] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B](OprD)
	[20] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprD)
	[21] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B](OprD)
	[22] 0	0	0x00005000 - 0x0000507f (0x80) IX[B]
	[23] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[24] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[25] -1	0	0x00003000 - 0x000030ff (0x100) IX[B]
	[26] -1	0	0x0000efa0 - 0x0000efbf (0x20) IX[B]
	[27] -1	0	0x00001000 - 0x0000100f (0x10) IX[B]
	[28] -1	0	0x00006020 - 0x0000602f (0x10) IX[B]
	[29] -1	0	0x00006110 - 0x00006113 (0x4) IX[B]
	[30] -1	0	0x000060f0 - 0x000060f7 (0x8) IX[B]
	[31] -1	0	0x00006114 - 0x00006117 (0x4) IX[B]
	[32] -1	0	0x000060f8 - 0x000060ff (0x8) IX[B]
	[33] -1	0	0x000060e0 - 0x000060ef (0x10) IX[B]
	[34] -1	0	0x00000374 - 0x00000374 (0x1) IX[B]
	[35] -1	0	0x00000170 - 0x00000177 (0x8) IX[B]
	[36] -1	0	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[37] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[38] -1	0	0x00006040 - 0x0000605f (0x20) IX[B]
	[39] -1	0	0x00006060 - 0x0000607f (0x20) IX[B]
	[40] -1	0	0x00006080 - 0x0000609f (0x20) IX[B]
	[41] -1	0	0x000060a0 - 0x000060bf (0x20) IX[B]
	[42] -1	0	0x000060c0 - 0x000060df (0x20) IX[B]
	[43] -1	0	0x00005000 - 0x0000507f (0x80) IX[B](B)
	[44] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
	[45] 0	0	0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(--) NV(0): 118.51 MB available for offscreen pixmaps
(II) NV(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	Indirect CPU to Screen color expansion
	Solid Lines
	Scanline Image Writes
	Offscreen Pixmaps
	Setting up tile and stipple cache:
		32 128x128 slots
		32 256x256 slots
		16 512x512 slots
(==) NV(0): Backing store disabled
(==) NV(0): Silken mouse enabled
(**) Option "dpms"
(**) NV(0): DPMS enabled
(II) NV(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(--) RandR disabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension XAccessControlExtension
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
(II) Initializing built-in extension XEVIE
(II) AIGLX: Screen 0 is not DRI capable
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Loading /usr/lib/xorg/modules/extensions//libGLcore.so
(II) Module GLcore: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(II) GLX: Initialized MESA-PROXY GL provider for screen 0
(II) NV(0): Setting screen physical size to 381 x 238
(**) Option "CoreKeyboard"
(**) Generic Keyboard: always reports core events
(**) Option "Protocol" "standard"
(**) Generic Keyboard: Protocol: standard
(**) Option "AutoRepeat" "500 30"
(**) Option "XkbRules" "xorg"
(**) Generic Keyboard: XkbRules: "xorg"
(**) Option "XkbModel" "pc104"
(**) Generic Keyboard: XkbModel: "pc104"
(**) Option "XkbLayout" "us"
(**) Generic Keyboard: XkbLayout: "us"
(**) Option "CustomKeycodes" "off"
(**) Generic Keyboard: CustomKeycodes disabled
(**) Option "Protocol" "ImPS/2"
(**) Configured Mouse: Device: "/dev/input/mice"
(**) Configured Mouse: Protocol: "ImPS/2"
(**) Option "CorePointer"
(**) Configured Mouse: always reports core events
(**) Option "Device" "/dev/input/mice"
(**) Option "Emulate3Buttons" "true"
(**) Configured Mouse: Emulate3Buttons, Emulate3Timeout: 50
(**) Configured Mouse: ZAxisMapping: buttons 4 and 5
(**) Configured Mouse: Buttons: 9
(**) Configured Mouse: Sensitivity: 1
(II) Synaptics touchpad driver version 0.14.6 (1406)
(--) Synaptics Touchpad auto-dev sets device to /dev/input/event5
(**) Option "Device" "/dev/input/event5"
(**) Option "HorizScrollDelta" "0"
(--) Synaptics Touchpad touchpad found
(**) Option "SendCoreEvents" "true"
(**) Synaptics Touchpad: always reports core events
(II) evaluating device (Synaptics Touchpad)
(II) XINPUT: Adding extended input device "Synaptics Touchpad" (type: MOUSE)
(II) evaluating device (Configured Mouse)
(II) XINPUT: Adding extended input device "Configured Mouse" (type: MOUSE)
(II) evaluating device (Generic Keyboard)
(II) XINPUT: Adding extended input device "Generic Keyboard" (type: 
KEYBOARD)
(--) Synaptics Touchpad auto-dev sets device to /dev/input/event5
(**) Option "Device" "/dev/input/event5"
(--) Synaptics Touchpad touchpad found
(II) Configured Mouse: ps2EnableDataReporting: succeeded


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xserver-xorg-video-nv depends on:
ii  libc6              2.7-3                 GNU C Library: Shared libraries
ii  xserver-xorg-core  2:1.4.1~git20071119-1 Xorg X server - core server

xserver-xorg-video-nv recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#453782; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 453782@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, 453782@bugs.debian.org
Subject: Re: Bug#453782: xserver-xorg-video-nv: Please support suspend to ram
Date: Sun, 02 Dec 2007 00:09:04 +0100
Eugen Dedu wrote:
> Subject: xserver-xorg-video-nv: Please support suspend to ram
> Package: xserver-xorg-video-nv
> Version: 1:2.1.6-1
> Severity: wishlist
>
> Please support suspend to ram.  I have a PowerBookPro and, IIUC
> http://en.opensuse.org/S2ram#NVidia_Graphics_Chipsets and
> http://sourceforge.net/mailarchive/message.php?msg_id=46F3ED9C.20504%40dark-green.com,
>
> suspend works only with the binary nvidia driver.

Did you actually check that suspend to ram *never* works with the NV driver?
on all supported hardware? There are many things involved in suspend to ram,
including the kernel, the X server and the driver.

What problem are you experiencing? This bug report is pretty useless without
any detail about the problem. Did you try passing |acpi_sleep=s3_bios to the
kernel command line?|
||
|Note that the nv driver does very rarely get big new features added. If|
|supporting suspend-to-ram requires lots of work, the upstream devs won't|
|probably do it.|
||
Brice





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#453782; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 453782@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: 453782@bugs.debian.org
Subject: Re: Bug#453782: xserver-xorg-video-nv: Please support suspend to ram
Date: Sun, 02 Dec 2007 20:13:51 +0100
Brice Goglin wrote:
> Eugen Dedu wrote:
>> suspend works only with the binary nvidia driver.
> 
> Did you actually check that suspend to ram *never* works with the NV driver?
> on all supported hardware? There are many things involved in suspend to ram,
> including the kernel, the X server and the driver.

No, I do not know if it works on other computers.

But on computers like mine (MacBookPro v3) it does not work.  On 
http://wiki.debian.org/MacBookPro#head-1d27e9182475ac6bf8a09771255ef5650d01c43c
it is written that s2ram works with old nvidia drivers and vanilla linux.

> What problem are you experiencing? This bug report is pretty useless without
> any detail about the problem. Did you try passing |acpi_sleep=s3_bios to the
> kernel command line?|

With linux's acpi_sleep=s3_bios, I execute s2ram -f.  At resume, the 
computer works, but the screen is black, pressing CapsLock does not 
change the LED.

> ||
> |Note that the nv driver does very rarely get big new features added. If|
> |supporting suspend-to-ram requires lots of work, the upstream devs won't|
> |probably do it.|
> ||

Ok.

-- 
Eugen Dedu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#453782; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 453782@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, 453782@bugs.debian.org
Subject: Re: Bug#453782: xserver-xorg-video-nv: Please support suspend to ram
Date: Mon, 03 Dec 2007 21:13:44 +0100
Eugen Dedu wrote:
> But on computers like mine (MacBookPro v3) it does not work.  On
> http://wiki.debian.org/MacBookPro#head-1d27e9182475ac6bf8a09771255ef5650d01c43c
>
> it is written that s2ram works with old nvidia drivers and vanilla linux.

The nvidia driver knows a lot more than nv. It can tweak both X and the
kernel to do things, it is much easier for nvidia to support s2ram.

> With linux's acpi_sleep=s3_bios, I execute s2ram -f.  At resume, the
> computer works, but the screen is black, pressing CapsLock does not
> change the LED.

Here's what the upstream dev thinks about this:
< bgoglin> aaronp: what's the status of s2ram with nv? should work?
buggy and might be fixed? wontfix?
< aaronp> My understanding was that it works as long as the system POSTs
the GPU on resume.
< ajax> which only works if the BIOS is there to be POSTed.
< aaronp> right

You might want to try passing -p (or maybe -s) to s2ram in case it
helps. Try switching to VT console before suspend too.

But there is nothing more to expect from xserver-xorg-video-nv.

Brice





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#453782; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 453782@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: 453782@bugs.debian.org
Subject: Re: Bug#453782: xserver-xorg-video-nv: Please support suspend to ram
Date: Tue, 04 Dec 2007 08:38:30 +0100
Brice Goglin wrote:
> Eugen Dedu wrote:
>> But on computers like mine (MacBookPro v3) it does not work.  On
>> http://wiki.debian.org/MacBookPro#head-1d27e9182475ac6bf8a09771255ef5650d01c43c
>>
>> it is written that s2ram works with old nvidia drivers and vanilla linux.
> 
> The nvidia driver knows a lot more than nv. It can tweak both X and the
> kernel to do things, it is much easier for nvidia to support s2ram.

Yes, I understand that.  But I prefer to use free software.

>> With linux's acpi_sleep=s3_bios, I execute s2ram -f.  At resume, the
>> computer works, but the screen is black, pressing CapsLock does not
>> change the LED.
> 
> Here's what the upstream dev thinks about this:
> < bgoglin> aaronp: what's the status of s2ram with nv? should work?
> buggy and might be fixed? wontfix?
> < aaronp> My understanding was that it works as long as the system POSTs
> the GPU on resume.
> < ajax> which only works if the BIOS is there to be POSTed.
> < aaronp> right
> 
> You might want to try passing -p (or maybe -s) to s2ram in case it
> helps. Try switching to VT console before suspend too.
> 
> But there is nothing more to expect from xserver-xorg-video-nv.

Thank you for help, I'll try very soon and keep you informed.

-- 
Eugen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#453782; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 453782@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: 453782@bugs.debian.org
Subject: Re: Bug#453782: xserver-xorg-video-nv: Please support suspend to ram
Date: Tue, 04 Dec 2007 12:20:37 +0100
Brice Goglin wrote:
> Eugen Dedu wrote:
>> But on computers like mine (MacBookPro v3) it does not work.  On
>> http://wiki.debian.org/MacBookPro#head-1d27e9182475ac6bf8a09771255ef5650d01c43c
>>
>> it is written that s2ram works with old nvidia drivers and vanilla linux.
> 
> The nvidia driver knows a lot more than nv. It can tweak both X and the
> kernel to do things, it is much easier for nvidia to support s2ram.
> 
>> With linux's acpi_sleep=s3_bios, I execute s2ram -f.  At resume, the
>> computer works, but the screen is black, pressing CapsLock does not
>> change the LED.
> 
> Here's what the upstream dev thinks about this:
> < bgoglin> aaronp: what's the status of s2ram with nv? should work?
> buggy and might be fixed? wontfix?
> < aaronp> My understanding was that it works as long as the system POSTs
> the GPU on resume.
> < ajax> which only works if the BIOS is there to be POSTed.
> < aaronp> right
> 
> You might want to try passing -p (or maybe -s) to s2ram in case it
> helps. Try switching to VT console before suspend too.

Hi,

I have done two tests:

After s2ram -p -f in VT1: screen remains black.  LED at CapsLock works,
CD ejecting (button F12) works.  I switched blindly to VT3 (alt ctrl 
f3), logged as root and executed halt -t now.  The computer halted.

After rmmod sky2;s2ram -p -s -f in VT1: screen black, capslock LED ok, 
but after doing ctrl+alt+f7 (X11), even CapsLock LED stopped functioning 
and the machine is not responsive at all.  I must stop it with Power button.

-- 
Eugen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#453782; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 453782@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, 453782@bugs.debian.org
Subject: Re: Bug#453782: xserver-xorg-video-nv: Please support suspend to ram
Date: Tue, 04 Dec 2007 19:45:32 +0100
Eugen Dedu wrote:
> After s2ram -p -f in VT1: screen remains black.  LED at CapsLock works,
> CD ejecting (button F12) works.  I switched blindly to VT3 (alt ctrl
> f3), logged as root and executed halt -t now.  The computer halted.
>
> After rmmod sky2;s2ram -p -s -f in VT1: screen black, capslock LED ok,
> but after doing ctrl+alt+f7 (X11), even CapsLock LED stopped
> functioning and the machine is not responsive at all.  I must stop it
> with Power button.

I guess your BIOS does not POST correctly at resume, which means s2ram
might never work for you unfortunately...

Brice





Tags added: wontfix Request was from Brice Goglin <bgoglin@debian.org> to control@bugs.debian.org. (Sun, 09 Dec 2007 10:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#453782; Package xserver-xorg-video-nv. Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 453782@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>
Cc: 453782@bugs.debian.org
Subject: Re: Bug#453782: xserver-xorg-video-nv: Please support suspend to ram
Date: Fri, 04 Jan 2008 12:11:55 +0100
Brice Goglin wrote:
> Eugen Dedu wrote:
>> After s2ram -p -f in VT1: screen remains black.  LED at CapsLock works,
>> CD ejecting (button F12) works.  I switched blindly to VT3 (alt ctrl
>> f3), logged as root and executed halt -t now.  The computer halted.
>>
>> After rmmod sky2;s2ram -p -s -f in VT1: screen black, capslock LED ok,
>> but after doing ctrl+alt+f7 (X11), even CapsLock LED stopped
>> functioning and the machine is not responsive at all.  I must stop it
>> with Power button.
> 
> I guess your BIOS does not POST correctly at resume, which means s2ram
> might never work for you unfortunately...

Ok.  I keep you informed if I find a solution.

Thank you for your information,
-- 
Eugen




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 09 Feb 2011 12:51:43 GMT) Full text and rfc822 format available.

Notification sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Bug acknowledged by developer. (Wed, 09 Feb 2011 12:51:43 GMT) Full text and rfc822 format available.

Message #47 received at 453782-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 377847-done@bugs.debian.org,383465-done@bugs.debian.org,396993-done@bugs.debian.org,403350-done@bugs.debian.org,405179-done@bugs.debian.org,438850-done@bugs.debian.org,453782-done@bugs.debian.org,461756-done@bugs.debian.org,465084-done@bugs.debian.org,471566-done@bugs.debian.org,474319-done@bugs.debian.org,484583-done@bugs.debian.org,488452-done@bugs.debian.org,488907-done@bugs.debian.org,493327-done@bugs.debian.org,495610-done@bugs.debian.org,498070-done@bugs.debian.org,498632-done@bugs.debian.org,499664-done@bugs.debian.org,502103-done@bugs.debian.org,503178-done@bugs.debian.org,509211-done@bugs.debian.org,511291-done@bugs.debian.org,513904-done@bugs.debian.org,514369-done@bugs.debian.org,515527-done@bugs.debian.org,521876-done@bugs.debian.org,524457-done@bugs.debian.org,524638-done@bugs.debian.org,528092-done@bugs.debian.org,528093-done@bugs.debian.org,528724-done@bugs.debian.org,531967-done@bugs.debian.org,536874-done@bugs.debian.org,540240-done@bugs.debian.org,557195-done@bugs.debian.org,557573-done@bugs.debian.org,565182-done@bugs.debian.org,565488-done@bugs.debian.org,574828-done@bugs.debian.org,578062-done@bugs.debian.org,579952-done@bugs.debian.org,
Cc: xserver-xorg-video-nv@packages.debian.org, xserver-xorg-video-nv@packages.qa.debian.org
Subject: Bug#612189: Removed package(s) from unstable
Date: Wed, 09 Feb 2011 12:47:26 +0000
Version: 1:2.1.17-3+rm

Dear submitter,

as the package xserver-xorg-video-nv has just been removed from the Debian archive
unstable we hereby close the assiciated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/612189

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Apr 2011 07:48:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:32:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.